Skip to main content
GET
Get list of commands sent

Authorizations

X-API-KEY
string
header
required

Query Parameters

limit
integer
default:1000

Maximum number of commands to return

Required range: x <= 1000
offset
integer
default:0

Number of commands to skip before starting to collect the result set

Required range: x >= 0

Response

Successful Response

command_id
string
required

Unique identifier for the submitted command

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>
required

Current status of the FFmpeg command

Available options:
QUEUED,
PROCESSING,
PREPARED_FFMPEG_COMMAND,
FAILED,
SUCCESS
Example:

"SUCCESS"

environment_name
string | null

The environment this command was created in (e.g., 'main', 'test', 'dev').

Example:

"main"

storage_quota_used
number | null

Amount of storage quota used in MB

Required range: x >= 0
Example:

5.2

processing_quota_used
number | null

Amount of processing quota used in MB

Required range: x >= 0
Example:

12.5

output_file_count
integer | null

Number of output files generated by the command

Required range: x >= 0
Example:

72

error_status
string | null

Status of any error that occurred during command execution

Example:

"UNREACHABLE_INPUT_FILE"

error_message
string | null

Error details if the command failed

Example:

"Input file url https://rendi.dev/example does not have a valid file name in its' end."

created_at
string<date-time>

Time when the command was created, in UTC

Example:

"2024-01-01T00:00:00Z"

ffmpeg_command_run_seconds
number | null

The exact time the specific FFMPEG command took on our servers, in seconds

processing_seconds
number | null

Total processing time from queue to finish, in seconds (finished_at - queued_at)